Subject: Re: rm -rf -> Circular directory structure
From: [email-masked] (Fergus Henderson)

12 Aug 1997 01:30:47 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

"Igor V. Kovalenko" <[email-masked]> writes:

>Looking at ...include/sys/types.h I found that ino_t is actually
>unsigned short, that is only 16 bit in size. Thus, we (in 'rm' etc..)
>do compare the lower 16 bits of prepared by hash_path_name()
>32-bit integer.
>  I think this is a main cause for $subj$, though the hashing
>function itself is not as perfect as it could be (in theory).

The whole idea of using a hash function to compute inode numbers
is fundamentally broken.  Perhaps it would be better to think
about a solution that works rather than making a fundamentally
broken one slightly less broken.

--
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".